#define F_CPU 1000000UL

#include <avr/io.h>
#include <util/delay.h>
#include "lcd.h"


unsigned char i;

int main(void)
{
	DDRB |= 1<<PB1;   // PB1 = vystup, na portu je po resetu "0", ledka tedy ted svt 
    char buffer[8];
	lcd_init(LCD_DISP_ON); /* initialize display, cursor off */
	lcd_clrscr();
	lcd_gotoxy(0,0);
	lcd_puts("RoBoProG");
	lcd_gotoxy(0,1);
	lcd_puts("Run:");
	for (i=3;i>0;i--)
	{
		sprintf(buffer,"%2i",i);
		lcd_gotoxy(4,1);
		lcd_puts(buffer);
		_delay_ms(1000);
	}
	lcd_clrscr();

	lcd_gotoxy(0,0);
	lcd_puts(" Project ");
	lcd_gotoxy(0,1);
	lcd_puts("project.irone.org");
		for(char i=0;i<16;i++)
		{
			_delay_ms(100);
			lcd_command(0x1c);
			PORTB = PINB ^ 1<<PB1;   // negace PB1 

		}
	for (;;)
	{
		for(char i=0;i<32;i++)
		{
			_delay_ms(100);
			lcd_command(0x18);
			PORTB = PINB ^ 1<<PB1;   // negace PB1 

		}
		for(char j=0;j<32;j++)
		{
			PORTB = PINB ^ 1<<PB1;   // negace PB1 
			_delay_ms(100);
			lcd_command(0x1c);
		}
	}
}
